# Uses of Class
org.jmol.atomdata.RadiusData

Packages that use RadiusData
Package
Description
org.jmol.api
org.jmol.atomdata
org.jmol.geodesic
org.jmol.jvxl.readers
org.jmol.modelset
org.jmol.script
org.jmol.scriptext
org.jmol.shape
org.jmol.shapebio
org.jmol.shapespecial
org.jmol.symmetry
org.jmol.viewer

## Uses of RadiusData in org.jmol.api

Methods in org.jmol.api with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
JmolEnvCalc.`calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)`
`void`
AtomIndexIterator.`setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)`

## Uses of RadiusData in org.jmol.atomdata

Fields in org.jmol.atomdata declared as RadiusData
Modifier and Type
Field
Description
`RadiusData`
AtomData.`radiusData`

## Uses of RadiusData in org.jmol.geodesic

Methods in org.jmol.geodesic with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
EnvelopeCalculation.`calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)`

## Uses of RadiusData in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as RadiusData
Modifier and Type
Field
Description
`RadiusData`
Parameters.`atomRadiusData`

## Uses of RadiusData in org.jmol.modelset

Fields in org.jmol.modelset declared as RadiusData
Modifier and Type
Field
Description
`RadiusData`
MeasurementData.`radiusData`
Methods in org.jmol.modelset with parameters of type RadiusData
Modifier and Type
Method
Description
`short`
Atom.`calculateMad(Viewer vwr, RadiusData rd)`
`BS`
ModelSet.`getAtomsWithinRadius(float distance, BS bs, boolean withinAllModels, RadiusData rd, BS bsSubset)`
Get atoms within a specific distance of any atom in a specific set of atoms either within all models or within just the model(s) of those atoms
`boolean`
Measurement.`isInRange(RadiusData radiusData, float value)`
`MeasurementData`
MeasurementData.`set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)`
`void`
ModelSet.`setIteratorForAtom(AtomIndexIterator iterator, int modelIndex, int atomIndex, float distance, RadiusData rd)`
`void`
Atom.`setMadAtom(Viewer vwr, RadiusData rd)`
`void`
AtomIteratorWithinModel.`setModel(ModelSet modelSet, int modelIndex, int firstModelAtom, int atomIndex, T3 center, float distance, RadiusData rd)`

## Uses of RadiusData in org.jmol.script

Methods in org.jmol.script that return RadiusData
Modifier and Type
Method
Description
`RadiusData`
ScriptEval.`encodeRadiusParameter(int index, boolean isOnly, boolean allowAbsolute)`

## Uses of RadiusData in org.jmol.scriptext

Methods in org.jmol.scriptext with parameters of type RadiusData
Modifier and Type
Method
Description
`BS`
MathExt.`setContactBitSets(BS bsA, BS bsB, boolean localOnly, float distance, RadiusData rd, boolean warnMultiModel)`

## Uses of RadiusData in org.jmol.shape

Methods in org.jmol.shape with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
Shape.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`
`protected void`
AtomShape.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
Balls.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
Shape.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
AtomShape.`setSizeRD2(int i, RadiusData rd, boolean isVisible)`

## Uses of RadiusData in org.jmol.shapebio

Methods in org.jmol.shapebio with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
Backbone.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`
`void`
BioShapeCollection.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`

## Uses of RadiusData in org.jmol.shapespecial

Methods in org.jmol.shapespecial with parameters of type RadiusData
Modifier and Type
Method
Description
`protected void`
Dots.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
Vectors.`setSizeRD2(int i, RadiusData rd, boolean isVisible)`

## Uses of RadiusData in org.jmol.symmetry

Methods in org.jmol.symmetry with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
UnitCellIterator.`setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)`

## Uses of RadiusData in org.jmol.viewer

Fields in org.jmol.viewer declared as RadiusData
Modifier and Type
Field
Description
`RadiusData`
Viewer.`rd`
Methods in org.jmol.viewer with parameters of type RadiusData
Modifier and Type
Method
Description
`void`
ShapeManager.`setShapeSizeBs(int shapeID, int size, RadiusData rd, BS bsSelected)`